import { z } from "zod"

import { shortcutsBlockSchema, shortcutsRefsSchema } from "../blocks/shortcuts"

import { SidebarEnums } from "@/types/enums/sidebar"

export const quickLinksSchema = z
  .object({
    typename: z
      .literal(SidebarEnums.blocks.QuickLinks)
      .optional()
      .default(SidebarEnums.blocks.QuickLinks),
  })
  .merge(shortcutsBlockSchema)

export const quickLinksRefschema = shortcutsRefsSchema
